﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WebForms;

namespace Quickstart
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                //DecimalDegrees Works
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                //mapLayerTest.MapUnit = GeographyUnit.Feet;

                //Database Layer
                LayerOverlay layerOverlay = new LayerOverlay();
                MsSqlFeatureLayer sqlLayer = new MsSqlFeatureLayer();
                sqlLayer.ConnectionString = "Data Source=localhost;User ID=sa;Initial Catalog=gis;Persist Security Info=False;Password=Test1234";
                sqlLayer.TableName = "CampusAreaPointLocation_Test";
                sqlLayer.FeatureIdColumn = "FeatureID";
                sqlLayer.Srid = 4269;
                sqlLayer.DatabaseConnectionMode = DatabaseConnectionMode.AutoClose;

                //Error with GEOG_Data - geography Data Type
                 //sqlLayer.CustomGeometryColumnName = "GEOG_Data";
                sqlLayer.CustomGeometryColumnName = "GEOM_Data";

                GeoSolidBrush symbolBrush = new GeoSolidBrush(GeoColor.SimpleColors.DarkRed);
                sqlLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(TextStyles.CreateSimpleTextStyle("AreaName", "Arial", 7, DrawingFontStyles.Regular, GeoColor.StandardColors.Black, GeoColor.StandardColors.White, 5));
                sqlLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(new PointStyle(PointSymbolType.Star, symbolBrush, 15));
                sqlLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                //Set CUrrent Extents
                sqlLayer.Open();
                Map1.CurrentExtent = sqlLayer.GetBoundingBox();
                sqlLayer.Close();
                //Add to Map Viewer
                layerOverlay.Layers.Add("layerTest", sqlLayer);
                Map1.CustomOverlays.Add(layerOverlay);
               
            }
        }
    }
}